Subject: Re: problem with dlltools / gcc -shared
From: "Xavier Pianet" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 30 Oct 2002 17:32:05 +0100

"Arno Waschk" <[email-masked]> a écrit dans le message news:
94S21B6YT53UOA5C0QMKFTSGBFBRQN.3dbffe06@oemcomputer...
> Am 29.10.2002 13:08:00, schrieb "Xavier" <[email-masked]>:
>
> >Hi there
> >
> >I try to compile a dll that exports 17000+ symbols
> >during the creation of the .lib archive it creates those temporary .o
files
> >but it
> >looks like it goes over the allowed number of files in the same directory
or
> >somethings around thoses lines (the / tree is on an NTFS partition)
> >>dlltool -d wxmsw233.def -l libwxmsw233.dll.a
> >dlltool:  bfd_open failure while opening stub file : ds10732.o
> >>ls -l | wc -l
> >17041
> >
> >gcc -shared generates a core dump in this particular case
>
> I had something similar with that project. If I remember correctly, I was
helped by using ld (binutils) from fresh CVS...
> But this never happened here with older ld on other platform!
>
> Arno
>

I just did that and it worked just fine (fresh CVS binutils)
Thanks

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/